<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('company_details', function (Blueprint $table) {
            $table->id();
            $table->tinyInteger('type')->nullable();
            $table->string('code', 7)->nullable();
            $table->string('country', 30)->nullable();
            $table->string('country_code', 10)->nullable();
            $table->string('city', 30)->nullable();
            $table->string('currency', 10)->nullable();
            $table->string('branch', 30)->default('Main');
            $table->string('comp_name', 50)->nullable();
            $table->string('live_pin', 100)->nullable();
            $table->string('zip_code', 20)->nullable();
            $table->string('box',30)->nullable();
            $table->string('address',100)->nullable();
            $table->string('website',40)->nullable();
            $table->string('tel', 30)->nullable();
            $table->string('phone', 30)->nullable();
            $table->string('em', 50)->nullable();
            $table->string('em_two', 50)->nullable();
            $table->string('kra', 20)->nullable();
            $table->string('ira', 30)->nullable();
            $table->string('coi', 20)->nullable();
            $table->string('logo_dir', 100)->nullable();
            $table->string('stamp_dir', 100)->nullable();
            $table->string('background_color', 100)->nullable()->default('lightgrey');
            $table->string('text_color', 100)->nullable()->default('black');
            $table->string('stamp',5)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('company_details');
    }
};
